Bug 498018 - enable "probe process.insn[.block]" for rhel5-era utrace
enable "probe process.insn[.block]" for rhel5-era utrace
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: David Smith
BaseOS QE
:
Depends On:
Blocks: 463333
  Show dependency treegraph
 
Reported: 2009-04-28 10:15 EDT by Frank Ch. Eigler
Modified: 2009-09-02 06:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 06:00:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch 1 (3.06 KB, patch)
2009-05-18 16:11 EDT, David Smith
no flags Details | Diff
patch 2 (8.43 KB, patch)
2009-05-18 16:12 EDT, David Smith
no flags Details | Diff
patch 3 (812 bytes, patch)
2009-05-18 16:13 EDT, David Smith
no flags Details | Diff

  None (edit)
Description Frank Ch. Eigler 2009-04-28 10:15:51 EDT
Instruction tracing logic was added to upstream systemtap
in time for the RHEL5-bound 0.9.7 release, but needs an
backported patch to with with the older utrace found here.

This patch should be safe & simple to backport.
(http://sourceware.org/bugzilla/show_bug.cgi?id=10091)

This satisfies the code-type prerequisites for bug #463333,
which relates to additional user-space packages that use
this feature.  (It is also accessible to systemtap users
without this extra tool.)
Comment 3 David Smith 2009-05-18 16:11:31 EDT
Created attachment 344516 [details]
patch 1
Comment 4 David Smith 2009-05-18 16:12:16 EDT
Created attachment 344517 [details]
patch 2
Comment 5 David Smith 2009-05-18 16:13:01 EDT
Created attachment 344518 [details]
patch 3
Comment 10 errata-xmlrpc 2009-09-02 06:00:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1313.html

Note You need to log in before you can comment on or make changes to this bug.